#
# To learn more about a Podspec see http://guides.cocoapods.org/syntax/podspec.html.
# Run `pod lib lint umeng_crash.podspec` to validate before publishing.
#
Pod::Spec.new do |s|
  s.name             = 'umeng_crash'
  s.version          = '2.0.1'
  s.summary          = 'flutter umeng plugin project.'
  s.description      = <<-DESC
A new flutter plugin project.
                       DESC
  s.homepage         = 'http://example.com'
  s.license          = { :file => '../LICENSE' }
  s.author           = { 'Your Company' => 'email@example.com' }
  s.source           = { :path => '.' }
  s.source_files = 'Classes/**/*'
  s.public_header_files = 'Classes/**/*.h'
  s.dependency 'Flutter'
  s.platform = :ios, '8.0'
  s.dependency 'UMCommon', '~> 7.3.5'
  s.dependency 'UMDevice', '~> 2.0.4'
  s.dependency 'UMAPM', '~> 1.4.2'
  s.libraries = 'z','sqlite3','c++'
  s.frameworks = 'CoreTelephony','SystemConfiguration'
  s.static_framework = true
  # Flutter.framework does not contain a i386 slice.
  s.pod_target_xcconfig = { 'DEFINES_MODULE' => 'YES', 'EXCLUDED_ARCHS[sdk=iphonesimulator*]' => 'i386' }
end
